#include <iostream>

using namespace std;

int main() {
	int n, m, niz[100];
	cin >> n;
	for (int i = 0; i < n; i++) {
		cin >> niz[i];
	}
    for(int i=0; i<n; i++){
        if(niz[i]!=0){
            cout<<niz[i];
            break;
        }
    }
}